CVE-2004-2401
CVSS7.5
发布时间 :2004-12-31 00:00:00
修订时间 :2008-09-05 16:44:01
NMCO    

[原文]Stack-based buffer overflow in Ipswitch IMail Express Web Messaging before 8.05 might allow remote attackers to execute arbitrary code via an HTML message with long "tag text."


[CNNVD]Ipswitch IMail Express Web消息远程缓冲区溢出漏洞(CNNVD-200412-496)

        
        Ipswitch IMail是一款强大的邮件服务程序。
        Ipswitch IMail的WEB消息组件在处理HTML消息时缺少充分边界缓冲区检查,远程攻击者可以利用这个漏洞对IMail进行缓冲区溢出,精心构建提交数据可能以进程权限在系统上执行执行任意指令。
        目前没有详细漏洞细节提供。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-2401
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-2401
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-496
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/15841
(PATCH)  XF  imail-express-message-bo(15841)
http://www.securityfocus.com/bid/10106
(PATCH)  BID  10106
http://www.osvdb.org/5243
(PATCH)  OSVDB  5243
http://secunia.com/advisories/11352
(VENDOR_ADVISORY)  SECUNIA  11352
http://support.ipswitch.com/kb/IM-20031219-DF01.htm
(UNKNOWN)  CONFIRM  http://support.ipswitch.com/kb/IM-20031219-DF01.htm

- 漏洞信息

Ipswitch IMail Express Web消息远程缓冲区溢出漏洞
高危 边界条件错误
2004-12-31 00:00:00 2005-10-20 00:00:00
远程  
        
        Ipswitch IMail是一款强大的邮件服务程序。
        Ipswitch IMail的WEB消息组件在处理HTML消息时缺少充分边界缓冲区检查,远程攻击者可以利用这个漏洞对IMail进行缓冲区溢出,精心构建提交数据可能以进程权限在系统上执行执行任意指令。
        目前没有详细漏洞细节提供。
        

- 公告与补丁

        厂商补丁:
        Ipswitch
        --------
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        Ipswitch Upgrade IMail Express 8.05
        ftp://ftp.ipswitch.com/install/imailex.exe

- 漏洞信息

5243
Ipswitch IMail Express Web Messaging Buffer Overflow
Remote / Network Access Input Manipulation
Loss of Integrity

- 漏洞描述

A remote overflow exists in Ipswitch IMail Server. The IMail Server fails to check the bounds of HTML messages in Web Messaging resulting in a buffer overflow. With a specially crafted request, a malicious user could execute arbitrary code on the system resulting in a loss of confidentiality, integrity, and/or availability.

- 时间线

2004-04-13 2003-04-13
2004-04-13 Unknow

- 解决方案

Upgrade to version 8.05 or higher, as it has been reported to fix this vulnerability.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站